# Match All Conditions

### How Does It Work?

By default, Geoflow will display an element if any conditions you have defined match (return true). This means if you have added three conditions and one of them is true, then the element is visible.

You can override this default behaviour by applying the attribute name and value noted below.

### How To Implement

<table><thead><tr><th>Attribute Name</th><th width="268.3333333333333">Attribute Value</th><th>Which Page Element?</th></tr></thead><tbody><tr><td>data-geo-match</td><td>all</td><td>Any element with the <strong>Geo Visibility</strong> data attribute.</td></tr></tbody></table>

Any value other than 'all' added to this data attribute will have no effect.

### Examples

<table data-card-size="large" data-view="cards"><thead><tr><th>Attribute Value</th><th>Description</th><th data-hidden>Attribute Name</th></tr></thead><tbody><tr><td><mark style="color:yellow;"><code>countryCode:!AU</code></mark></td><td>The element is visibile to everyone around the globe, except for those in Australia.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>isMobile:true;countryCode:!CA</code></mark></td><td>The element is only visible to mobile visitors  not currently in Canada.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>language:!fr</code></mark></td><td>The element is visibile to anyone whose primary browser language is not currently set as French.</td><td>data-geo-visibility</td></tr><tr><td><mark style="color:yellow;"><code>deviceType:!Desktop;isEU:true</code></mark></td><td>The element is only visible to visitors in the European Union who are not on a desktop computer (e.g. Tablet and Mobile visitors).</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/feature/visibility/match-all-conditions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
